=== debian/changelog ===
ros-melodic-gazebo-video-monitor-plugins (0.5.0-2stretch) stretch; urgency=high

  * Address gcc lambda bug
  * Fix logs
  * Fix pose multiplications for noetic
    Issue: https://osrf-migration.github.io/ignition-gh-pages/#!/ignitionrobotics/ign-math/pull-requests/301/page/1

 -- Nick Lamprianidis <nlamprian@gmail.com>  Sat, 26 Sep 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.4.2-2stretch) stretch; urgency=high

  * Enable C++14

 -- Nick Lamprianidis <nlamprian@gmail.com>  Sat, 29 Aug 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.4.1-2stretch) stretch; urgency=high

  * Fix cmake and compiler warnings

 -- Nick Lamprianidis <nlamprian@gmail.com>  Thu, 20 Aug 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.4.0-2stretch) stretch; urgency=high

  * Add multi view monitor plugin
    Support quadrant camera streams in the video recorder
  * Add license notice

 -- Nick Lamprianidis <nlamprian@gmail.com>  Fri, 14 Aug 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.3.0-2stretch) stretch; urgency=high

  * Various fixes
    * Fix bug with reading the cameraReference configurations
    * Fix success field on result when discarding in stop recording
    * Add a walking actor in video monitor plugin world as a dynamic element
    * Expose recorder library
  * Add multi video monitor plugin
  * Add multi camera monitor plugin
    * Add camera contains plugin and box marker visualizer
    * Add test world for multi camera monitor and camera contains plugins
    * Use default video name in the recorder when one is not provided
    * Fix gazebo topic names for camera images in multicamera sensor

 -- Nick Lamprianidis <nlamprian@gmail.com>  Wed, 12 Aug 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.2.0-2stretch) stretch; urgency=high

  * Parameterize log prefixes
  * Drop specific OpenCV version
  * Refactor gazebo video monitor plugin
    * Introduce gazebo video recorder to host recording functionality and enable reusability
    * Introduce gazebo monitor base plugin to host common members and structure plugin initialization
    * Add option to disable the window in the gazebo video monitor plugin
    * Update documentation

 -- Nick Lamprianidis <nlamprian@gmail.com>  Sun, 28 Jun 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.1.1-2stretch) stretch; urgency=high

  * Set path of temporary recording
  * Add fix for initial camera attachment

 -- Nick Lamprianidis <nlamprian@gmail.com>  Wed, 22 Apr 2020 22:00:00 -0000

ros-melodic-gazebo-video-monitor-plugins (0.1.0-2stretch) stretch; urgency=high

  * Add multicamera sensor and video monitor plugin

 -- Nick Lamprianidis <nlamprian@gmail.com>  Mon, 20 Apr 2020 22:00:00 -0000
