## ros-melodic-gazebo-video-monitor-plugins 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
-cmake_minimum_required(VERSION 2.8.3)
-cmake_policy(SET CMP0048 NEW)
+cmake_minimum_required(VERSION 3.1.0)
 project(gazebo_video_monitor_plugins)
-
-cmake_policy(SET CMP0054 NEW)
 
 add_compile_options(-std=c++14)
 
 find_package(catkin REQUIRED
   COMPONENTS
-    message_generation
     gazebo_ros
+    gazebo_video_monitor_msgs
     roscpp
     std_srvs
 )
@@ -17,28 +14,6 @@
 find_package(gazebo REQUIRED)
 
 find_package(OpenCV REQUIRED)
-
-################################################
-## Declare ROS messages, services and actions ##
-################################################
-
-add_message_files(
-  FILES
-    Pose.msg
-    Strings.msg
-)
-
-add_service_files(
-  FILES
-    SetCamera.srv
-    StartGmcmRecording.srv
-    StartGvmRecording.srv
-    StopRecording.srv
-)
-
-generate_messages(
-  DEPENDENCIES
-)
 
 ###################################
 ## catkin specific configuration ##
@@ -61,7 +36,7 @@
     camera_contains_plugin
   CATKIN_DEPENDS
     gazebo_ros
-    message_runtime
+    gazebo_video_monitor_msgs
     roscpp
     std_srvs
   DEPENDS
@@ -88,9 +63,6 @@
   src/sensors/gvm_multicamera_sensor.cpp
   src/gvm_multicamera_bootstrapper_plugin.cpp
 )
-add_dependencies(gvm_multicamera_bootstrapper_plugin
-  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}
-)
 target_link_libraries(gvm_multicamera_bootstrapper_plugin
   ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES}
 )
@@ -109,9 +81,6 @@
     src/gazebo_monitor_base_plugin.cpp
     src/${PLUGIN}.cpp
   )
-  add_dependencies(${PLUGIN}
-    ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}
-  )
   target_link_libraries(${PLUGIN}
     ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES} ${OpenCV_LIBRARIES}
     gazebo_video_recorder
@@ -122,9 +91,6 @@
 add_library(camera_contains_plugin
   src/utils/box_marker_visualizer.cpp
   src/camera_contains_plugin.cpp
-)
-add_dependencies(camera_contains_plugin
-  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}
 )
 target_link_libraries(camera_contains_plugin
   ${catkin_LIBRARIES} ${GAZEBO_LIBRARIES}
