=== debian/control ===
Source: ros-melodic-gazebo-video-monitor-plugins
Section: misc
Priority: optional
Maintainer: Nick Lamprianidis <nlamprian@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, libyaml-cpp-dev, ros-melodic-catkin, ros-melodic-gazebo-ros, ros-melodic-gazebo-video-monitor-msgs, ros-melodic-roscpp, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-gazebo-video-monitor-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-melodic-gazebo-ros, ros-melodic-gazebo-video-monitor-msgs, ros-melodic-roscpp, ros-melodic-std-srvs
Description: gazebo_video_monitor_plugins is a package that lets the user record videos of a Gazebo simulation.
 It provides a multicamera sensor that can be used for creating different types of videos with multiple views from inside the gazebo world. There is a number of plugins already available in the package, but more can be developed by the user, with minimal effort, to fit arbitrary use cases.
